Name:		parallel
Summary:	A shell tool for executing jobs in parallel
Version:	20100722
Release:	1
License:	GPLv3
Source0:	http://ftp.gnu.org/gnu/parallel/%{name}-%{version}.tar.bz2
Source1:	http://ftp.gnu.org/gnu/parallel/%{name}-%{version}.tar.bz2.sig
URL:		http://www.gnu.org/software/parallel/
Group:		File tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl >= 5.8.8, sed
Requires:	perl >= 5.8.8

%description
GNU parallel is a perl tool for executing jobs in parallel locally
or using remote machines. A job is typically a single command or a small
script that has to be run for each of the lines in the input. The typical
input is a list of files, a list of hosts, a list of users, a list of URLs,
or a list of tables.


%prep
%setup -q


%build
# we need to find our Perl before the system Perl
export PATH=/opt/freeware/bin:$PATH
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

%{_bindir}/sed -i -e 's|#!/usr/bin/perl -w|#!/opt/freeware/bin/perl -w|g' ${RPM_BUILD_ROOT}%{_bindir}/%{name}

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system) 
%doc README NEWS src/%{name}.html
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1
/usr/bin/%{name}


%changelog
* Mon Jul 26 2010 Michael Perzl <michael@perzl.org> - 20100722-1
- first version for AIX5L v5.1 and higher
